# Ivory Coast

## Required fields

| Field                  | Format                                                                                                                             | Description                                                                                |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                             | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                             | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                           | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/knowledge-base/countries-specifications.md#documents-validations)                                      | Beneficiary's document ID                                                                  |
| `country`              | `CI`                                                                                                                               | See [country codes](/knowledge-base/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `XOF` / `USD`                                                                                                                      | See [currency codes](/knowledge-base/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                       | Cashout amount                                                                             |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md#bank-account-validations) | Beneficiary's bank account.                                                                |
| `bank_code`            | See [bank codes](#bank-codes)                                                                                                      | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                           | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                           | Beneficiary's last name                                                                    |
| `phone`                | Numeric                                                                                                                            | Beneficiary's Phone Number                                                                 |

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

{% tabs %}
{% tab title="Request" %}

```json
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "country": "CI",
    "amount": 100,
    "currency": "XOF",
    "bank_account": "",
    "bank_code": "10000",
    "phone": "2250544845079",
    "document_id": "89237423356",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}

## Bank Codes

| Bank               | Code  |
| ------------------ | ----- |
| MTN Ivory Coast    | 10000 |
| Orange Ivory Coast | 10004 |
| Wave               | 10007 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/ivory-coast.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
